INTERPOLATEATOFFSET(3G)

NAME
interpolateAtOffset - sample a varying at specified offset from the center of a pixel

DECLARATION

float interpolateAtOffset(float interpolant, vec2 offset);

vec2 interpolateAtOffset(vec2 interpolant, vec2 offset);

vec3 interpolateAtOffset(vec3 interpolant, vec2 offset);

vec4 interpolateAtOffset(vec4 interpolant, vec2 offset);

PARAMETERS

interpolant
    Specifies the interpolant to be sampled at the specified offset.

offset
    Specifies the offset from the center of the pixel at which to sample interpolant.

DESCRIPTION

interpolateAtOffset returns the value of the input varying interpolant sampled at an offset from the center of the pixel specified by offset. The two floating-point components of offset give the offset in pixels in the x and y directions from the center of the pixel, respectively. An offset of (0, 0) identifies the center of the pixel. The range and granularity of offsets supported by this function is implementation-dependent.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
interpolateAtoOffset | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

interpolateAtCentroid(), interpolateAtSample()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group